var gulp = require('gulp');
var concat = require('gulp-concat');
var less = require('gulp-less');
var base64 = require('gulp-base64');
var autoprefixer = require('gulp-autoprefixer');
var cleancss = require('gulp-clean-css');
var rename = require('gulp-rename');

gulp.task('compile:boilerplate', function () {
  return gulp.src('./less/brakii-kit/less/index.less')
    .pipe(less())
    .pipe(base64())
    .pipe(autoprefixer())
    .pipe(cleancss())
    .pipe(rename("boilerplate.css"))
    .pipe(gulp.dest('./css/boilerplate'));
});

gulp.task('default', ['compile:boilerplate']);